Jump to content
disarci

PrestaShop versione Italiana 1.4 stable

Recommended Posts

Ciao a tutti,
oggi è uscita la versione stabile di PrestaShop 1.4 internazionale.

Come prima cosa possiamo notare che è stata già tradotta in Italiano al 99% grazie agli sforzi di Paman, e a qualche intervento diretto di prestashop (le parti non ben tradotte).

Siamo alla fine riusciti a far riconoscere al team, codice fiscale e partita iva, nonché ad avere la partita iva intracommunitaria che permette le vendite all'estero.

La versione italiana, non sarà più scaricata da PrestaModules.com in un pacchetto di installazione (a meno di pacchetti "speciali") ma stiamo creando, insieme a GermanoUfo, Cippest e Checco un pacchetto di moduli per renderla compatibile con le normative italiane.

Questi pacchetti saranno disponibili tra qualche settimana, e comprenderanno anche un modulo di aggiornamento per chi avesse le versioni precedenti (dalla 1.1.x alla 1.3.7) per abbandonare le nostre modifiche di codice fiscale e partita iva.

Seguite questo post e sarete aggiornati,
per ora sconsiglio di utilizzare in italia la versione scaricata, ma può essere già montata, in quanto le nostre modifiche saranno in moduli e quindi non influiranno sulla versione installata.

Buon lavoro e un grazie enorme a PrestaShop per questa versione!

  • Like 1

Share this post


Link to post
Share on other sites

Versione 1.4 stable installata con successo, al momento sembra funzionare tutto correttamente,
ma attendo comunque i vostri pacchetti di adattamento alla normativa italiana,
ad occhio mi sembra che manchi l'accettazione per la privacy.

Poi volevo segnalare un errore di traduzione nel modulo di registrazione clienti ossia la voce STATO, anzichè PROVINCIA,
un utente vedendo la voce STATO potrebbe saltare il campo e omettere la provicia per la spedizione.

ps.: questa versione di prestashop è meravigliosaaaaaaaaaaaa complimenti davvero

  • Like 1

Share this post


Link to post
Share on other sites

Complimenti per il supporto che date alla comunità, grazie.

Share this post


Link to post
Share on other sites

Ciao ragazzi complimenti e grazie per lo sforzo...
io sono fermo alla versione 1.2.5.0 e non ho aggiornato per 2 motivi e spero che qualcuno mi dia info in merito.

1 non so se fare tutti gli aggiornamenti uno dopo l'altro o direttamente all'ultima versione
2 ho fatto molte mod e nn ricordo bene i file modificati per le mie esigenze quindi per paura di perdere tutto ho tralasciato...
consigli di come aggire?

grazie infinite per tutto...

Share this post


Link to post
Share on other sites

Mi sà tanto che di stabile c'è ben poco :-S

Il blocco dei link permanenti non funziona ( contatti, sitemap, ecc.)

dai vari post del forum inglese noto che il problema esiste già dalle verisoni test e che non è stato mai risolto.

Considerando che il blocco dà problemi anche al top menù e a tutti i link del cms, come possiamo risolvere il problema?


Salsero76


RISOLTO

1) Assegnare a .htaccess permessi 666

2) in Bo disabilitare URL semplificati

Share this post


Link to post
Share on other sites

Complimenti per l'ottimo lavoro!! La nuova versione è molto bella, leggerò la continuazione di questo post per gli aggiornamenti futuri. Grazie ancora e buon lavoro !!

Share this post


Link to post
Share on other sites

esiste un modo per ritornare alla versione precedente? ho un backup della versione precedente, ma non so come si fa

Share this post


Link to post
Share on other sites


2) in Bo disabilitare URL semplificati


Disabilitandolo però da dei svantaggi a livello SEO se non sbaglio.

Share this post


Link to post
Share on other sites


2) in Bo disabilitare URL semplificati


Disabilitandolo però da dei svantaggi a livello SEO se non sbaglio.


Ciao goni,

si è vero scusa ma non ho avuto il tempo di aggiornare.

Allora ricominciamo:

1) nel file .htaccess alla riga 20 nella parte finale il numero cms=$2 deve essere cms=$1
2) dare permessi a .htaccess 666

Share this post


Link to post
Share on other sites

Scusate ma io non ho capito, la versione 1.4 per l'italia non è ancora ultimata o invece si?

Share this post


Link to post
Share on other sites
Scusate ma io non ho capito, la versione 1.4 per l'italia non è ancora ultimata o invece si?


Da quanto ho capito non ci sarà più una versione italianizzata, ma ci saranno (quando terminati) dei moduli che serviranno per adeguare lo shop alle normative italiane.

Share this post


Link to post
Share on other sites

Capito capito...e questi moduli ora non sono ancora pronti oppure si?
E nel caso saranno reperibili sempre sul sito?
Comunque complimenti, gran bel lavoro!

Share this post


Link to post
Share on other sites

Sono ancora in fase di sviluppo (credo) comunque appena pronti saranno segnalati tramite questo post ;-)

Il sito di riferimento dovrebbe essere www.prestamodules.com.

Share this post


Link to post
Share on other sites

Scusate ma a me i moduli in lato admin non si vedono. La pagina appare tagliata, allego file. A qualcuno capita lo stesso problema? La versione è la 1.4 stable in inglese installata su Tophost. Grazie!

41418_Zyf2IpG13cjAOemkvBBK_t

Share this post


Link to post
Share on other sites
Scusate ma a me i moduli in lato admin non si vedono. La pagina appare tagliata, allego file. A qualcuno capita lo stesso problema? La versione è la 1.4 stable in inglese installata su Tophost. Grazie!



Accade anche a me testando PS in locale (con LAMPP sotto Linux). Al contrario sul server online funziona tutto (o quasi).
Penso che dipenda dalle impostazioni del server ma non saprei dire cosa.
Il solo problema che ho riscontrato fin'ora è l'impossibilità di caricare nuovi temi usando l'apposita funzione.

questo è l'errore

Sun Mar 27 20:54:26 2011] [error] [client 79.6.192.199] PHP Warning: ZipArchive::extractTo() [ziparchive.extractto]: Unable to access /var/www/vhosts/xyzz.it/httpdocs/shop/modules/themeinstallator/import//themes/dm-free4-black in /var/www/vhosts/xyzz.it/httpdocs/shop/modules/themeinstallator/themeinstallator.php on line 258, referer: http://www.xyzz.it/shop/admin1422/index.php?tab=AdminModules&configure=themeinstallator&token=7edafd618869d78b7aab900f76ea5583&tab_module=administration&module_name=themeinstallator


xyzz solo perchè è ancora embrionale... :-))

Share this post


Link to post
Share on other sites
Hai installato altri moduli in più a quelli di default?



No. Non ho installato nessun altro modulo. E' la versione scaricata dal sito ufficiale. Potrebbe essere un problema con tophost? Avete altri consigli?

Share this post


Link to post
Share on other sites
Hai installato altri moduli in più a quelli di default?



No. Non ho installato nessun altro modulo. E' la versione scaricata dal sito ufficiale. Potrebbe essere un problema con tophost? Avete altri consigli?


riesci a vedere qualche log di errore? (tipo errori php, apache, mysql..)
si dovrebbe riuscire almeno ad identificare il problema in questo modo

Share this post


Link to post
Share on other sites
riesci a vedere qualche log di errore? (tipo errori php, apache, mysql..)
si dovrebbe riuscire almeno ad identificare il problema in questo modo


Errori non ne vedo. Come faccio a verificare?
Ho provato ad installare presta 1.4 anche su un altro spazio sempre su tophost, cambiando anche il motore del database. Finora ho provato InnoDB ora Mysam. Ma stesso problema. Uso da anni presta e non mi ha mai dato questo problema. Penso che dovrebbe essere un problema comune...

Share this post


Link to post
Share on other sites
riesci a vedere qualche log di errore? (tipo errori php, apache, mysql..)
si dovrebbe riuscire almeno ad identificare il problema in questo modo


Errori non ne vedo. Come faccio a verificare?
Ho provato ad installare presta 1.4 anche su un altro spazio sempre su tophost, cambiando anche il motore del database. Finora ho provato InnoDB ora Mysam. Ma stesso problema. Uso da anni presta e non mi ha mai dato questo problema. Penso che dovrebbe essere un problema comune...


se il tuo hosting ti permette di vedere alcuni log di errore (di solito dal pannello amministrativo) potrestri vedere qualcosa. non so poi se nei tuoi file di configurazione prestashop (config.inc.php e anche smarty.config in caso di errori di smarty) hai attivato il debug per vedere ad un primo livello se ci sono problemi.

altrimenti prova come ha suggerito goni a ri-scaricare il pacchetto, magari durante il download si è scassato qualcosa

Share this post


Link to post
Share on other sites
riesci a vedere qualche log di errore? (tipo errori php, apache, mysql..)
si dovrebbe riuscire almeno ad identificare il problema in questo modo


Errori non ne vedo. Come faccio a verificare?
Ho provato ad installare presta 1.4 anche su un altro spazio sempre su tophost, cambiando anche il motore del database. Finora ho provato InnoDB ora Mysam. Ma stesso problema. Uso da anni presta e non mi ha mai dato questo problema. Penso che dovrebbe essere un problema comune...


se il tuo hosting ti permette di vedere alcuni log di errore (di solito dal pannello amministrativo) potrestri vedere qualcosa. non so poi se nei tuoi file di configurazione prestashop (config.inc.php e anche smarty.config in caso di errori di smarty) hai attivato il debug per vedere ad un primo livello se ci sono problemi.

altrimenti prova come ha suggerito goni a ri-scaricare il pacchetto, magari durante il download si è scassato qualcosa


Scusa la domanda, come faccio ad attivare il debug? Il mio hosting è tophost e non mi sembra che mi permetta di vedere i log di errore. Tu che hosting mi consigli?

Share this post


Link to post
Share on other sites

Scusa la domanda, come faccio ad attivare il debug? Il mio hosting è tophost e non mi sembra che mi permetta di vedere i log di errore. Tu che hosting mi consigli?


per attivare il debug (su 1.3 è così, non ho ancora avuto modo di vedere se anche su 1.4 il procedimento è simile) si va nel file config/config.inc.php e si cambiano le linee:

@ini_set('display_errors', 'off');
define('_PS_DEBUG_SQL_', false);



in:

@ini_set('display_errors', 'on');
define('_PS_DEBUG_SQL_', true);



poi se si tratta di errore legato al meccanismo del template si va in config/smarty.config.inc.php e si decommenta la riga

$smarty->debugging        = true;



altrimenti se lavori al sito in locale sul tuo computer (con xampp, mamp o quant'altro) lì vedi tutti i log di errore

hosting appunto dipende da quanti prodotti ci metti, quante visite fai al giorno più o meno, budget disponibile per l'acquisto.. ti consiglio anche di spulciare il forum, ci sono discussioni a riguardo (tipo questa: http://www.prestashop.com/forums/viewthread/20111/discussione_generale/consiglio_scelta_hosting)

io ho fatto un shop per un negozio di arredamenti ma non ho deciso l'hosting, anche se va bene (solodomini); altri progetti li ho in locale. io userei eastitaly perché finora mi son trovato bene, ma ce ne sono una marea che soddisfano le esigenze di prestashop. il che esula dal contenuto di questo post

Share this post


Link to post
Share on other sites

Ho fatto l'ennesima prova sempre su tophost con la 1.4 stable. Ho notato che anche la parte dei pagamenti non appare visibile. Allego l'immagine. Ho provato a fare l'installazione seguendo le istruzioni circa i permessi CHMOD scritti sul forum. Qualcuno ha risolto il problema? Così è inutilizzabile

41553_Bh5m88CrmEpi9WmUhrTr_t

Share this post


Link to post
Share on other sites

Ho cambiato anche il file config con Display errors e Debug attivati. Stesso problema. Possibile che a nessuno crea problemi?

Share this post


Link to post
Share on other sites
Non è che hai riempito tutto lo spazio sul hosting?


No. Ora provo ad installarlo nuovamente con l'installazione minima. Vediamo cosa succede.

Share this post


Link to post
Share on other sites

Ho testato la prima versione localizzata:

Comunque hai uno dei difetti come il tuo il mio post:
http://www.prestashop.com/forums/viewthread/99037/installazione_configurazione___aggiornamento/risolto_prestashop_1_dot_4_dot_0_dot_17_e_server_virtuale_windows_aruba_strani_problemi

Avendo io il server (quindi php.ini) l' ho risolto cosi:
Le pagine si vedevano parziali perchè mancava l’attivazione della libreria “mbstring” di PHP e qua la modalità Debug di Prestashop che mi ha visualizzato l’errore

Ciao

Share this post


Link to post
Share on other sites

Molto molto a breve....

....mi sbilancio e dico entro mercoledì 6.

A presto

Share this post


Link to post
Share on other sites

Grandi!
E se si può sapere..il modulo in cosa consiste in poche parole. Cosa contiene?
Comunque complimenti a tutti per i vostri sforzi.

Share this post


Link to post
Share on other sites

Saranno 4 moduli,
sviluppati da team differenti:

1) un modulo che inserisce l'accettazione della privacy nella pagina di registrazione
2) un modulo che permette la migrazione, copiando codice fiscale e partita iva per i clienti esistenti, dai vecchi campi inseriti nelle versioni italiane a quelli nuovi inseriti di default in tutte le versioni internazionali
3) un modulo di newsletter con accettazione della privacy
4) il solito blocco footer per inserire i dati societari.

  • Like 1

Share this post


Link to post
Share on other sites

Ecco.....
stavo proprio per postare una domanda inerente i punti 1 e 4 ma anche il 3
Ormai sono pronto per aprire il negozio ma queste 3 cose sono importanti e mi hanno bloccato.

Share this post


Link to post
Share on other sites

Un'info: non riesco a trovare la possibilità di creare un multi store con PS 1.4.0.17.
E' una funzione non implementata oppure sono una volpe io a non trovarla?

Share this post


Link to post
Share on other sites

State facendo un lavoraccio, anche se aspettiamo qlc giorno in più nn fa niente, grazie! :D

Share this post


Link to post
Share on other sites

Per chi installa da zero basterebbe il modulo 1, 3, e 4 presumo.
Ad ogni modo complimenti davvero alle persone che si stanno prodigando per i moduli italiani!

Share this post


Link to post
Share on other sites
Un'info: non riesco a trovare la possibilità di creare un multi store con PS 1.4.0.17.
E' una funzione non implementata oppure sono una volpe io a non trovarla?


non credo proprio sia implementata, forse in futuro..

Share this post


Link to post
Share on other sites

carissimi, grazie a tutti dell'aiuto e dell'ottimo lavoro fino ad ora svolto.
sarebbe bello sapere se l'aggiornamento dei moduli per "mettere in regola" la 1.4 per la legge Italiana.
sto facendo un sito ad un mio cliente con Prestashop (il primo in assoluto) devo dire che è già ottimo
mi trovo in questa fase di attesa stressante in quanto il mio cliente ha già cominciato a caricare dei prodotti.
Non me la sento proprio di Resettare tutto per installare la vecchia versione......
voi cosa avreste fatto? sicuramente installare la 1.3.7 e aggiornare in un secondo momento
saluti a tutti
Mario

Share this post


Link to post
Share on other sites

Un po' di pazienza. Penso sia questione di ore...
Giorno più giorno meno l'importante è che tutto funzioni al meglio, giusto?

Ho testato il modulo per i campi PI/CF di Disarci & C e funziona benissimo.
So che stanno facendo gli ultimi test e confezionando due righe di spiegazione del tutto.

Se avete installato per la prima volta la 1.4 potete senz'altro continuare a lavorarci. Hanno furbamente previsto le modifiche tramite dei moduli da installare. Cosa che può essere quindi fatta anche in secondo tempo per "Newsletter con privacy" e "Footer con dati societari".
Per quanto riguarda "Accettazione privacy nella registrazione" bisognerà andare a modificare in seguito gli utenti iscritti nel frattempo: basta non aprire per un paio di giorni e sei a posto.

Se invece state migrando da versioni precedenti... boh, io aspetterei. Il modulo fa delle modifiche importanti sui dati nel dbase. Non si sa mai che si incricca qualcosa e vi tocca reinstallare i back-up perdendo le modifiche.

Se avete più di un dbase... beh, sarete sicuramente più esperti di me e avrete già due o più negozi on-line con le varie versioni.


Il problema più grosso sarà quello di trovare il tema/template aggiornato... occhio che non tutti quelli che dicono di essere compatibili con la 1.4 poi lo sono davvero.

Share this post


Link to post
Share on other sites

Il problema più grosso sarà quello di trovare il tema/template aggiornato... occhio che non tutti quelli che dicono di essere compatibili con la 1.4 poi lo sono davvero.


ne sto sviluppando uno personalizzato basato su un "vecchio" 1.3, applicato ad una 1.3.7 che poi vorrei aggiornare a 1.4. in soldoni cosa cambia di importante (tolto one page checkout e nuove features..)? mi conviene passare direttamente a programmare per 1.4 per evitare inutili spargimenti di sangue?

Share this post


Link to post
Share on other sites

Non sono proprio la persona giusta per risponderti...
Su Smarty Php Tpl Css & c vado un po' "a sentimento". Quindi a volte funziona e a volte no, e praticamente sempre non so il perché ;) ;) ;)

Come sai il tema non è solo un foglio di stile e alcune immaginette. Quelli più belli ed accattivanti installano anche dei loro moduli per i menù, gli slider, ecc ecc.
Da quello che ho potuto sperimentare su una prova di aggiornamento "in parallelo" (si ho + di un dbase) alcuni temi reinstallano però anche moduli della 1.4 già presenti (probabilmente il porting per funzionare ha bisogno delle vecchie impostazioni).
...finché si sta sperimentando è una cosa, sul negozio ufficiale un'altra.

Quelli di Lika funziano, penso metterò mano al css di uno dei suoi.

Share this post


Link to post
Share on other sites

Attendo volentieri i moduli per aggiornare, nel frattempo continuiamo a caricare prodotti.
Dove posso dare un'occhiata ai lavori di Lika?

Share this post


Link to post
Share on other sites

Ciao ragazzi sono un nuovo (potenziale) utilizzatore di Prestashop.
Mi trovo però nel caos del rilascio della versione 1.4 stable (che "stable" pare non esserlo davvero) e le traduzioni dei moduli, gentilmente offerte da voi volontari.

Quello che voglio capire è se posso procedere all'installazione, alla scelta del tema e alle prime configurazioni, oppure devo aspettare, perchè rileggendo queste 4 pagine c'è molta confusione.

Grazie.

Share this post


Link to post
Share on other sites

A proposito, ma alla fine i moduli di PRESTAMODULES per la gestione della Privacy e import PIVA e CF erano poi usciti?

Share this post


Link to post
Share on other sites

Ecco, anch'io sono in trepidante attesa... ma non solo io.

Mi sono un po' documentato e ho cercato di metterci mano, ma non essendo una cima con i file .php ho lasciato perdere.

Share this post


Link to post
Share on other sites

registrazione:
la rotellina gira ma la finestra con l'informativa non si apre

pensavo potesse essere colpa del tema, ma il comportamento è lo stesso anche con quello di default

newsletter:
non ho capito come impostare la pagina del CMS da aprire. Così com'è apre quella detta LEGALE nella quale ho scritto altre cose
ho anche provato a cambiare manualmente l'ID del file da 2 che è in origine ma niente
ah, è sempre in inglese (ma questo è il meno)

Share this post


Link to post
Share on other sites

Aggiornamento al post qui sopra

Giunto a casa, ho riprovato la registrazione.
Funziona perfettamente: testato con quattro browser diversi su due sistemi operativi (linux e winXP).

Non capisco quindi perchè dall'ufficio non funge.
Lì uso Mandriva Linux 2008.0 64bit e Firefox 4.0

Tanto per informazione.

Resta quell'anomalia del modulo newsletter

Share this post


Link to post
Share on other sites

Un grosso grazie a Germano, Disarci & C per la consueta localizzazione.

...e ora via a duplicare il dbase e fare un po' di danni sul template ;);)

Share this post


Link to post
Share on other sites

scusatemi ragazzi ma io non ho capito una cosa.....
vorrei effettuare una nuova installazione di prestashop partendo direttamente dalla 1.4....
sul sito prestashop non trovo la localizzazione italiana.... mentre nel sito prestamodules trovo la versione 1.3.7 più pacchetti per aggiornamenti vari...
ma scusate... non c'è direttamente un pacchetto con la 1.4 localizzata? o praticamente bisogna scaricare la 1.3.7 e applicare gli altri 4 pacchetti presenti qua http://www.prestamodules.com/prestashop/4-prestashop-italia ???
scusate ma sono un pò confuso...

Share this post


Link to post
Share on other sites

vai tranquillo

scarica pure la 14.0.17. L'italiano è a posto al 99,5%. Qua e là c'è qualcosa da sistemare, ma niente di che.
Successivamente installi i moduli per la nostra legislazione

Share this post


Link to post
Share on other sites

aaah ok ok non avevo capito che il file di default era già quasi del tutto localizzato.... :-D sorry.. :-D
grazie mille...

Share this post


Link to post
Share on other sites

Grandissimi. Un'informazione però, nell'informativa della privacy va poi creata da noi la pagina col testo del decreto. Non è già presente vero?

Share this post


Link to post
Share on other sites

Ciao a tutti! Ho installato i moduli PIVA e CF su Presta 1.4 e funzionano correttamente. Il problema è che poi nei vari campi sia dell'area clienti sia lato admin non appaiono. Andrebbero integrati, anche perchè il cliente stesso non potrebbe modificarli in caso di necessità. Nella fattura invece ho visto che compaiono. Mi sfugge qualche cosa? Grazie!

Share this post


Link to post
Share on other sites

Testando il modulo della privacy, con tema originale, la pagina successiva alla richiesta di registrazione si blocca completamente bianca.

Qualcuno l'ha testato con esito positivo?

Grazie

Share this post


Link to post
Share on other sites

Confermo...
Se attivato restituisce un errore "HTTP 500 - Errore interno del server" nel passaggio alla seconda pagina della registrazione.

Share this post


Link to post
Share on other sites

A me la registrazione funziona correttamente anche dopo l'installazione del modulo.
Per quanto riguarda il modulo relativo alla newsletter, ci sono dei piccoli problemi:
1) non viene caricato il css;
2) la traduzione in italiano no funziona;

Soluzioni trovate:
1) in "themes\prestashop\css\modules" creare la cartella "psmblocknewsletter" con all'interno il file "psmblocknewsletter.css" che non è altro che il file "blocknewsletter.css" solo rinominato; poi nel file PsmBlocknewsletter.php alla riga 252 sostituire "blocknewsletter.css" con "psmblocknewsletter.css"

2) nel file psmblocknewsletter.tpl sostituire "mod='blocknewsletter'" con "mod='psmblocknewsletter'" e poi appportare le traduzioni nel back-office.

Share this post


Link to post
Share on other sites

A mio avviso l'accettazione della privacy andrebbe messa anche nel form dei contatti. Quanlcuna sa se esiste un HOOK relativo a questa pagina? altrimenti bisognerebbe inserire il codice all'interno della pagina.

Share this post


Link to post
Share on other sites

ma una domanda posso conq uesto pacchetto procede all aggiornamento della mia versione 1.3. hod evo aspettare ancora un altro pacchetto grazieeeeeeeeeeeee

Share this post


Link to post
Share on other sites

Una richiesta di aiuto se possibile per cortesia:

- ho installato la versione 1.4 e tutto funziona regolarmente, ma avendo attiva la versione 1.3 volevo riprendere il DB usato fino ad oggi completo e importarlo nella nuova versione: mi chiedo se è tutto compatibile e come mi consigliate di procedere a riguardo?

Sto facendo il tutto direttamente su una sezione demo in modo da verificare il tutto prima di metterlo on line.

Grazie e splendido lavoro avete fatto!

Share this post


Link to post
Share on other sites

@FranckyNRG
Da quello che ne so io devi aggiornare il dbase con l'installazione.
Certo si possono importare i dati del vecchio db, prodotti e utenti, in quello nuovo ma non è una cosa facile se ti serve anche lo storico ordini ecc.

Dopo aver caricato la cartella di Ps 1.4 copi il file "settings.inc.php" della vecchia installazione ed avvi il nuovo install. Ti proporrà l'aggiornamento oltre che l'installazione normale.
Ovviamente devi aver fatto copia del dbase, ecc, ecc Poi ci sono da trasferire immagini, files, ecc, gli eventuali moduli personalizzati, il template, ecc.

L'ho già fatto parecchie volte in passato e un paio proprio con la 1.4
Ho salvato le immagini dei passaggi necessari... ci metto un po' di spiegazioni e lo posto (dopo Pasqua però).
I problemi sono i soliti ;) ... più hai personalizzato più dovrai smanettarci per ri-personalizzare, template in primis.

@pizzaa
La 1.4, ma come tutte le altre versioni precedenti, è l'aggiornamento di quella che la precede.
La diversità della 1.4 è che non c'è una versione localizzata specificatamente in italiano, con il rispetto delle normative varie, ma dei semplici moduli da scaricare (www.prestamodules.com) per privacy, newsletter, ecc e per "spostare" i dati relativi a CF e PI nei definitivi campi che ora sono nativi nella 1.4
...moduli fatti dai nostri splendidi moderatori ;)

Share this post


Link to post
Share on other sites

Grazie Paolo... sei stato chiarissimo e mi hai dato la risposta che speravo.
Ho fatto un paio di volte anche io l'aggiornamento per le versioni precedenti e pensavo che per la 1.4 non fosse lo stesso... Provo a farlo con pazienza e so che c'è da lavorare un po' per verificare compatibilità ed altro...!

Grazie ancora...! Appena puoi se posti le immagini e le spiegazioni dei passaggi sicuramente saranno utili a tanti...!

Ciao e buon lavoro...!

Share this post


Link to post
Share on other sites

Ho scoperto se attivata la funzione di utilizzare smarty 2, il modulo psprivacy non funziona.

Consigli?

UPDATE

Questo è il codice che manda in errore con smarty2

[removed]
$(document).ready(function()
{    
   $("a.thickbox").fancybox();

   var msg = "{l s='You must agree to the privacy before continuing.' js=1}";
   {literal}
   $("form#account-creation_form").submit(function () {
       if ($("#cgv").length && !$("input#cgv:checked").length)
       {
           alert(msg);
           return false;
       }
       else
           return true;
   });

   $("form#new_account_form").submit(function () {
       if ($("#cgv").length && !$("input#cgv:checked").length)
       {
           alert(msg);
           return false;
       }
       else
           return true;
   });
   {/literal}
});
[removed]

Share this post


Link to post
Share on other sites
@FranckyNRG
Da quello che ne so io devi aggiornare il dbase con l'installazione.
Certo si possono importare i dati del vecchio db, prodotti e utenti, in quello nuovo ma non è una cosa facile se ti serve anche lo storico ordini ecc.

Dopo aver caricato la cartella di Ps 1.4 copi il file "settings.inc.php" della vecchia installazione ed avvi il nuovo install. Ti proporrà l'aggiornamento oltre che l'installazione normale.
Ovviamente devi aver fatto copia del dbase, ecc, ecc Poi ci sono da trasferire immagini, files, ecc, gli eventuali moduli personalizzati, il template, ecc.

L'ho già fatto parecchie volte in passato e un paio proprio con la 1.4
Ho salvato le immagini dei passaggi necessari... ci metto un po' di spiegazioni e lo posto (dopo Pasqua però).
I problemi sono i soliti ;) ... più hai personalizzato più dovrai smanettarci per ri-personalizzare, template in primis.



Ciao Paolo,
ho fatto l'aggiornamento copiando prima il file settings.inc e poi i vari moduli e file modificati. Ma non mi visualizza il template del sito... praticamente mi visualizza tutto in modo testuale...senza la grafica. Sai darmi il suggerimento su cosa potrei aver dimenticato di trasferire dal vecchio sito?
Forse è questione di incompatibilità con il vecchio template?

Ciao

Share this post


Link to post
Share on other sites

i vecchi temi non girano più sulla 1.4

usa il tema di defoult e vedrai che tutto funziona

Ciao ;-)

Share this post


Link to post
Share on other sites
i vecchi temi non girano più sulla 1.4

usa il tema di defoult e vedrai che tutto funziona

Ciao ;-)


Ciao Germanoufo,
effettivamente avevo provato a impostare il tema di default, ma mi da lo stesso problema... forse devo aver stravolto qualcosa ugualmente al momento dell'aggiornamendo dei dati del vecchio...!

Visto che è un sito che sto usando in una sezione demo, cancello e provo a re-installare il tutto... vediamo che succede...! ;)

Grazie.

Share this post


Link to post
Share on other sites

occhio che probabilmente è solo questione di chache

dagli force compile in performance

di sicuro basta quello

Ciao ;-)

Share this post


Link to post
Share on other sites

Ciao a tutti.
Volevo aggiornare la versione 1.3.4 a quella più recente in modo da eliminare il problema del CF.

La mia intenzione è quella di caricare in una cartella di prova sul server online il nuovo sito, oppure configurare il sito su un altro server (cambiando il file host sul mio PC) per non compromettere quello attuale. Con la nuova installazione voglio mantenere i prodotti ed il template.
Come devo procedere per aggiornare il sito ?

Devo fare una copia dei file del PS 1.3.4 caricandoli nella nuova cartella e poi fare la riscrittura dei files ?
Oppure devo installare l'ultima versione ed importare prodotti e copiare il template ?

Grazie per il Vs aiuto.

Share this post


Link to post
Share on other sites

Chiedo cortesemente un aiuto. Avevo installato la versione 1.4.1 scegliendo la lingua italiana ma quando mi sono accorto che il modulo I nostri negozi non funzionava sono tornato alla versione 1.4.0.17 e qui tutto funziona bene. Due domande: esiste già la correzione al problema del modulo negozi? e poi, vedo che non è possibile inserire i dati fiscali dell'azienda (partita iva, codice fiscale,..) per cui la fatturazione non ha senso senza questi dati. Si può avere un vostro aiuto? Grazie

Share this post


Link to post
Share on other sites

Chiedo cortesemente un aiuto. Avevo installato la versione 1.4.1 scegliendo la lingua italiana ma quando mi sono accorto che il modulo I nostri negozi non funzionava sono tornato alla versione 1.4.0.17 e qui tutto funziona bene. Due domande: esiste già la correzione al problema del modulo negozi? e poi, vedo che non è possibile inserire i dati fiscali dell'azienda (partita iva, codice fiscale,..) per cui la fatturazione non ha senso senza questi dati. Si può avere un vostro aiuto? Grazie info@cilentoinformatica.it

Share this post


Link to post
Share on other sites

perchè non fate un giro su prestamodules dove spiego tutto come si fanno gli aggiornamenti senza prendere idee che non hanno nulla a che vedere con la procedura ufficiale
il tema va ricreato

Ciao ;-)

Share this post


Link to post
Share on other sites

forse non mi sono spiegato: in fase di registraione dell'azienda che utilizza prestashop, non c'è la possibiltà di inserire i dati fiscali (partita iva..) così quando si stampa la fattura vengono inseriti i dati fiscali, ora nel piè di pagina viene stampato la ragione sociale e l'indirizzo. Grazie

Share this post


Link to post
Share on other sites

Forse non conosci prestashop

visto che abbiamo progettato per bene l' ultima relase 1.4 come progetto di localizzazione ( i 3/4 moduli che trovi su prestamodules )

Ciao ;-)

Share this post


Link to post
Share on other sites

scusa, a quali moduli fai riferimento? ho visitato il sito ma non mi sembra che ci sia nulla che faccia al mio caso. comunque ho risolto, nelle informazioni del contatto ho compilato il campo Registrazione e va bene. per quanto riguarda I Negozi, che non funziona nella 1.4.1 che fare? Grazie

Share this post


Link to post
Share on other sites